{  +-----------------------------------------------------------------------+
    (C) SELIA design                                                        
   +-----------------------------------------------------------------------
    Tel :  88 86 68 54                                                    
    Fax :  88 86 74 76                                                    
   +-----------------------------------------------------------------------
    Project     :                      Compiler   :                      
    Module name :                      Version    :                      
   +-------------------------------+---------------------------------------
    Author    : Francis GLOHR          Date       : 16 Fvrier 1994      
   +-----------------------------------------------------------------------
    Descript. :                                                           
                                                                          
   -----------------------------------------------------------------------
                                UPDATES                                   
   +-----------------------------------------------------------------------
      Date      Author            Description of updates                
   +----------+-----------+------------------------------------------------
   16/02/94  F. Glohr    Cration V 1.00                                
   --------- -----------------------------------------------------------
   +-----------------------------------------------------------------------+}
unit MC02;

interface

uses Crt;

function MC02_ReadCounter (BoardAdresse:Integer): Longint;
function MC02_ReadLatchCounter (BoardAdresse:Integer): Longint;
procedure MC02_ClearCounter (BoardAdresse: Integer);

implementation

function MC02_ReadCounter (BoardAdresse:Integer): Longint;
Var
   Lsb : Longint;
   Mid : Longint;
   Msb : Longint;
Begin
   Port[BoardAdresse] := 0;
   Lsb := Port[BoardAdresse + 1];
   Lsb := Port[BoardAdresse + 1];
   Port[BoardAdresse] := 1;
   Mid := Port[BoardAdresse + 1];
   Port[BoardAdresse] := 2;
   Msb := Port[BoardAdresse + 1];
   MC02_ReadCounter := (Msb * 65536) + (Mid * 256) + Lsb
End;

function MC02_ReadLatchCounter (BoardAdresse:Integer): Longint;
Var
   Lsb : Longint;
   Mid : Longint;
   Msb : Longint;
Begin
   Port[BoardAdresse] := 4;
   Lsb := Port[BoardAdresse + 1];
   Lsb := Port[BoardAdresse + 1];
   Port[BoardAdresse] := 5;
   Mid := Port[BoardAdresse + 1];
   Port[BoardAdresse] := 6;
   Msb := Port[BoardAdresse + 1];
   MC02_ReadLatchCounter := (Msb * 65536) + (Mid * 256) + Lsb
End;

procedure MC02_ClearCounter (BoardAdresse: Integer);
Begin
   Port[BoardAdresse] := 2;
   Port[BoardAdresse + 1] := 0;
   Port[BoardAdresse] := 1;
   Port[BoardAdresse + 1] := 0;
   Port[BoardAdresse] := 0;
   Port[BoardAdresse + 1] := 0;
End;


Begin
End.
